POST/api/v2/referrals/programs/{programId}/simulate

POST /api/v2/referrals/programs/{programId}/simulate

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
programId (path)string (uuid)Yes

Request body

application/json

Request body fields
FieldTypeRequiredDescription
LevelCodestringYes
DraftobjectNo
CreditedAmountunknownNo
SettledFeeunknownNo
ProviderCostunknownNo
EligibleVolumeRemainingunknownNo
PaidCardFeeunknownNo
CompletesQualificationbooleanNo
TeambooleanNo

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
CalculationVersionstringYes
CurrencystringYes
BasisstringYes
EligibleAmountunknownYes
InviterRewardunknownYes
CustomerRecurringRewardunknownYes
SubpartnerRewardunknownYes
CompanyRetainedunknownYes
QualificationRewardunknownYes
WelcomeRewardunknownYes
StatusstringYes
Warningsarray of stringYes

Example request

curl -X POST "https://{base_url}/api/v2/referrals/programs/{programId}/simulate" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"LevelCode":"…"}'

This page is generated from the live OpenAPI specification and always matches the current API.